<?php

include('../../server/connect/db.php');
include("config.php");
if (isset($_GET['userid']) && !empty($_GET['userid'])) {
$userid = $_GET['userid'];
$sq = ("SELECT * FROM $db_table WHERE userid=?");
$st = $db->prepare($sq);
$st->execute(array($userid));
$row_count = $st->rowCount();
while  ($row = $st->fetchAll(PDO::FETCH_ASSOC)){
foreach ($row as $el){
$name=$el['name'];
$firstname = ucfirst(strtok($name, " "));
$email=$el['email'];
$cell=$el['cell'];
$cell_2 = preg_replace('/[^0-9]/','',$cell);
$service=$el['service'];
$value=$el['value'];
$message=$el['message'];
$stylist=$el['stylist'];
$date=$el['date'];
$time=$el['time'];
$firstvisit=$el['firstvisit'];
$confirm=$el['confirm'];
$created=date("l n/j/y", strtotime($el["updated"]));
$updated=$el['updated'];
}
}
if ($message == ''){$message = '';}
else{$message = '<br><b>Message:</b> '.$message.'';	}

if ($confirm == '1'){
$status = 'Appointment was confirmed on '.$created.'';
$sent = '<p class="text-center text-success" style="font-size: 15px;line-height:22px;">A confirmation text message and email has been sent to '.$firstname.'</p>';
}
if ($confirm == '2'){
$status = 'Appointment was canceled on '.$created.'';
$sent = '<p class="text-center text-danger" style="font-size: 15px;line-height:22px;">A cancellation text message and email has been sent to '.$firstname.'</p>';
}
if ($confirm <1){
$status = 'New appointment made on '.$created.'';
$sent = '';
}	
}
?>


<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Online appointment confirmation</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="Online appointment booking" name="description" />
        <meta content="developed by canngay.com" name="author" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />


        <link rel="shortcut icon" href="assets/images/favicon.ico">
        <link href="<?php echo $centixel_url ?>/server/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="<?php echo $centixel_url ?>/server/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="<?php echo $centixel_url ?>/server/css/sweetalert2.min.css" rel="stylesheet" type="text/css" /> 
        <link href="<?php echo $centixel_url ?>/server/css/app.min.css" rel="stylesheet" type="text/css" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<style>
.loader,
.loader:before,
.loader:after {
  border-radius: 50%;
  width: 2em;
  height: 2em;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  -webkit-animation: load7 1.8s infinite ease-in-out;
  animation: load7 1.8s infinite ease-in-out;
}
.loader {
  color: #00b9e7;
  font-size: 10px;
  margin: 0px auto;
  margin-bottom:25px;
  position: relative;
  text-indent: -9999em;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}
.loader:before,
.loader:after {
  content: '';
  position: absolute;
  top: 0;
}
.loader:before {
  left: -3em;
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}
.loader:after {
  left: 3em;
}
@-webkit-keyframes load7 {
  0%,
  80%,
  100% {
    box-shadow: 0 2em 0 -1.3em;
  }
  40% {
    box-shadow: 0 2em 0 0;
  }
}
@keyframes load7 {
  0%,
  80%,
  100% {
    box-shadow: 0 2em 0 -1.3em;
  }
  40% {
    box-shadow: 0 2em 0 0;
  }
}
	
</style>        
    </head>

    <body class="authentication-bg bg-gradient">

            <div class="pt-2 mb-5">
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-md-8 col-lg-8 col-xl-8">
                            <div class="card bg-pattern">
    
                                <div class="card-body p-3">
                                    
                                    <div class="text-center m-auto">
                                        <h2><a href="<?php echo $bizurl; ?>"><?php echo $biz; ?></a></h2>
                                    </div>
                                    
                                    
                                    <?php if ($confirm == 1) { ?>
                                    
                                        <div class="">
                                            <div class="checkmark">
                                                    <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                                    viewBox="0 0 161.2 161.2" enable-background="new 0 0 161.2 161.2" xml:space="preserve">
                                               <path class="path" fill="none" stroke="#32c861" stroke-miterlimit="10" d="M425.9,52.1L425.9,52.1c-2.2-2.6-6-2.6-8.3-0.1l-42.7,46.2l-14.3-16.4
                                                   c-2.3-2.7-6.2-2.7-8.6-0.1c-1.9,2.1-2,5.6-0.1,7.7l17.6,20.3c0.2,0.3,0.4,0.6,0.6,0.9c1.8,2,4.4,2.5,6.6,1.4c0.7-0.3,1.4-0.8,2-1.5
                                                   c0.3-0.3,0.5-0.6,0.7-0.9l46.3-50.1C427.7,57.5,427.7,54.2,425.9,52.1z"/>
                                               <circle class="path" fill="none" stroke="#32c861" stroke-width="4" stroke-miterlimit="10" cx="80.6" cy="80.6" r="62.1"/>
                                               <polyline class="path" fill="none" stroke="#32c861" stroke-width="6" stroke-linecap="round" stroke-miterlimit="10" points="113,52.8
                                                   74.1,108.4 48.2,86.4 "/>

                                               <circle class="spin" fill="none" stroke="#32c861" stroke-width="4" stroke-miterlimit="10" stroke-dasharray="12.2175,12.2175" cx="80.6" cy="80.6" r="73.9"/>

                                           </svg>

                                            </div>
                                        </div>
                                        
                                    <?php } ?>
                                    
                                    <?php if ($confirm == 2) { ?>
                                    
                                        <div class="">
                                            <div class="checkmark">
                                                    <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                                    viewBox="0 0 161.2 161.2" enable-background="new 0 0 161.2 161.2" xml:space="preserve">
                                               <path class="path" fill="none" stroke="red" stroke-miterlimit="10" d="M425.9,52.1L425.9,52.1c-2.2-2.6-6-2.6-8.3-0.1l-42.7,46.2l-14.3-16.4
                                                   c-2.3-2.7-6.2-2.7-8.6-0.1c-1.9,2.1-2,5.6-0.1,7.7l17.6,20.3c0.2,0.3,0.4,0.6,0.6,0.9c1.8,2,4.4,2.5,6.6,1.4c0.7-0.3,1.4-0.8,2-1.5
                                                   c0.3-0.3,0.5-0.6,0.7-0.9l46.3-50.1C427.7,57.5,427.7,54.2,425.9,52.1z"/>
                                               <circle class="path" fill="none" stroke="red" stroke-width="4" stroke-miterlimit="10" cx="80.6" cy="80.6" r="62.1"/>
                                               <polyline class="path" fill="none" stroke="red" stroke-width="6" stroke-linecap="round" stroke-miterlimit="10" points="113,52.8
                                                   74.1,108.4 48.2,86.4 "/>

                                               <circle class="spin" fill="none" stroke="red" stroke-width="4" stroke-miterlimit="10" stroke-dasharray="12.2175,12.2175" cx="80.6" cy="80.6" r="73.9"/>

                                           </svg>

                                            </div>
                                        </div>
                                        
                                    <?php } ?>
                                        
                                        
                                        
                                            <div class="mt-0 pt-1">


<?php if ($row_count > 0) { ?>						
<h4 class="title text-center" style="font-size: 20px;line-height: 28px;"><?php echo $status; ?></h4><?php echo $sent; ?>
<p class="appt" style="font-size: 17px;"><b>Name:</b> <?php echo $name; ?><br>
<b>Phone:</b> <?php echo $cell; ?><br>
<b>Email:</b> <?php echo $email; ?><br>
<b>Date:</b> <?php echo $date; ?><br>
<b>Time:</b> <?php echo $time; ?><br>
<b>Service:</b> <?php echo $service; ?><br>
<b>Stylist:</b> <?php echo $stylist; ?>
<?php echo $message; ?>
</p>
<?php if ($confirm <1) { ?>
<div class="button-list text-center">
<button type="button" class="btn btn-success waves-light waves-effect width-md" onclick="confirmApp('<?php echo $userid; ?>')">CONFIRM</button>
<button type="button" class="btn btn-danger waves-light waves-effect width-md" onclick="cancelApp('<?php echo $userid; ?>')">CANCEL</button>
</div>
<center><div style="display: none;margin-top: 20px" id="myDiv"><i class="fas fa-spinner fa-spin"></i> Please Wait...</div></center>
<?php 
}
if ($confirm >0){

}
 
}
if ($userid == '') {
echo 'This link is not valid.';	
}	
?>
                                            </div>
    
                                       
                                    </div>
    
                                </div> 
                            </div>
    
                        </div>
                    </div>
                    <!-- end row -->
                </div>
                <!-- end container -->
            </div>
            <!-- end page -->
           
<script>
    function confirmApp(userid) {
    var id = userid;
    var action = '1';
    var urlString ="id="+id+'&action='+action;

Swal.fire({title:"Are you sure?",
		text:"The appointment will be confirmed!",
		type:"warning",
		showCancelButton:!0,
		cancelButtonText: 'NO',
		confirmButtonColor:"#3ec396",
		cancelButtonColor:"#7c7b7b",
		confirmButtonText:"CONFIRM"
		})		
		
.then(result => {
document.getElementById("myDiv").style.display = "block";	
setTimeout(function() {
$('#myDiv').hide('slow');
},
8000 );
if (result.value) {
$.ajax({
   type: "POST",
   url: "update.php",
   data: urlString,
   cache: false,
   success: function(){
window.location = "index.php?userid="+id;
}   
});

}
else {
}

}) 
}
</script> 

<script>
    function cancelApp(userid) {
    var id = userid;
    var action = '2';
    var urlString ="id="+id+'&action='+action;

Swal.fire({title:"Are you sure?",
		text:"The appointment will be canceled!",
		type:"warning",
		showCancelButton:!0,
		cancelButtonText: 'NO',
		confirmButtonColor:"#f36270",
		cancelButtonColor:"#7c7b7b",
		confirmButtonText:"CANCEL"
		})		
		
.then(result => {
document.getElementById("myDiv").style.display = "block";	
setTimeout(function() {
$('#myDiv').hide('slow');
},
10000 );	
if (result.value) {
$.ajax({
   type: "POST",
   url: "update.php",
   data: urlString,
   cache: false,
   success: function(){   
window.location = "index.php?userid="+id;
}   
});

}
else {
}

}) 
}
</script>
  
        <script src="<?php echo $centixel_url ?>/server/js/vendor.min.js"></script>
        <script src="<?php echo $centixel_url ?>/server/js/sweetalert2.min.js"></script>
        <script src="<?php echo $centixel_url ?>/server/js/sweetalerts.init.js"></script>
        <script src="<?php echo $centixel_url ?>/server/js/app.min.js"></script>
        
    </body>
</html>